package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.vo.PlanningDiklatHumasMarketVO;
import com.jasamedika.medifirst2000.vo.RencanaDiseminasiVO;

public interface PenyuluhanService  {
	
	  String noPlanning();
	
	  Map<String, Object> noDefault();
	
	  Map<String, Object> saveStrukPlanning(RencanaDiseminasiVO vo);
	
	  Map<String, Object> getListPlanningDHM(String noPlanning);
	 
	  List<Map<String,Object>> getInformasiRencanaPenyuluhan(String noPlanning,String dateEnd,String dateStart);
	 
	  Map<String, Object> savePesertaPenyuluhan(RencanaDiseminasiVO vo);
	
	  Map<String, Object> getPlanningByNoPlanning (String noPlanning);
	
	  String savePelaksanaanPenyuluhan(PlanningDiklatHumasMarketVO vo);
	
	  List<Map<String,Object>>  getPesertaPenyuluhanByNoPlanning(String noPlanning);
	
	  List<Map<String,Object>> getListPlannDHMHukorByNoPlanningAndDate(String noPlanning,String dateStart,String dateEnd);
	  
	  Map<String,Object> getPlanningDHMHukorByNoPlanning(String noPlanning);
	  
	  List<Map<String,Object>>  getPesertaRegistrasiByNoPlanning(String noPlanning);
	  
	  Map<String, Object> saveRegistrasiPesertaPenyuluhan(RencanaDiseminasiVO vo);
	  
	  List<Map<String,Object>> getDaftarRegistrasiPesertaDiseminasi(String noPlanning, String startDate, String endDate);
	  
	  List<Map<String,Object>> getListPeserta(String noPlanning);
}
